Bug 433665 - nash doesn't mount the nfsroot filesystem according to the supplied mount options
nash doesn't mount the nfsroot filesystem according to the supplied mount opt...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
other All
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
ARRAY(0x8bcb70)
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 14:08 EST by IBM Bug Proxy
Modified: 2009-01-09 01:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:01:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 42536 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-02-20 14:08:24 EST
=Comment: #0=================================================
Jochen Roth <jroth@de.ibm.com> - 2008-02-20 05:03 EDT
I'm trying to mount the NFS root filesystem with TCP instead of the UDP network
protocol.
man mount and man 5 nfs tell me that I have to add "tcp" or "proto=tcp" to the
mount options. I put them to /etc/fstab and created an initrd accordingly. 

example /etc/fstab: 
10.0.0.1:/nfsroot/10.0.0.2    /    nfs   tcp,nolock 1 1

The resulting mkrootdev line in the initrd looks like this: 
mkrootdev -t nfs -o tcp,nolock 10.0.0.1:/nfsroot/10.0.0.2

After booting Fedora 8, with the custom image, /etc/mtab tells me that the root filesystem is mounted
with the tcp protocol. But, /proc/mounts tells me that it is running with udp. 

running "tcpdump udp port nfs" on the nfs server shows me that the nfsroot is
running with udp instead of tcp. 

"rpcinfo -p 10.0.0.1" shows me that the nfsd is accepting tcp connections. 
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100003    2   udp   2049  nfs
    100003    3   udp   2049  nfs
    100003    4   udp   2049  nfs
    100003    2   tcp   2049  nfs
    100003    3   tcp   2049  nfs
    100003    4   tcp   2049  nfs
Comment 1 IBM Bug Proxy 2008-02-20 14:16:23 EST
------- Comment From joseferr@br.ibm.com 2008-02-20 14:13 EDT-------
Red Hat,

I wasn't able to find a better component. Please change as needed.
Comment 2 IBM Bug Proxy 2008-02-20 14:24:55 EST
------- Comment From joseferr@br.ibm.com 2008-02-20 14:17 EDT-------
Here is a related issue, where nash ignores mount options:

https://bugzilla.redhat.com/show_bug.cgi?id=356371
Comment 3 Ian Dall 2008-04-30 09:11:16 EDT
This looks like a duplicate of 240745 as well
Comment 4 Bug Zapper 2008-11-26 04:53:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:01:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.